/******
 * <<<<<<<<<<<<<<<<<<<<<<<<<=====>>>>>>>>>>>>>>>>>>>>>>>>>
 *    @file:           Val2DDisplay.h  [ $RCSfile: Val2DDisplay.h,v $ ]
 *    @authors:        Ken Cline <Kenneth.C.Cline@cpmx.saic.com>
 *    @date:           Wed Mar  4 16:58:38 EST 1998
 *    @project:        any
 *    @library:        spatial
 *    @package:        NA
 *    @description:    Layer of objects that complement/improve
 *                        those provided in the Swarm "space" lib
 *    @version:        $Revision: 1.4 $,
 *                     $Date: 1998/03/14 23:34:06 $,
 *                     $Author: kcline $
 *    @notes:          NA
 * <<<<<<<<<<<<<<<<<<<<<<<<<=====>>>>>>>>>>>>>>>>>>>>>>>>>
 *****/


#import <spatial.h>
#import <space/Value2dDisplay.h>

typedef unsigned char color_t;

#define ARRAY_CACHE    0
#define RASTER_WIDGET  1


@interface Val2DDisplay : Value2dDisplay {

   char * displayMode;
   SEL    displaySelector;
   int    displayDestination;

   id   * lattice;
   long * offsets;
   int    xsize;
   int    ysize;

   int contourModFactor;
   int contourBkgdColor;
   int contourLineColor;

   color_t * colorCache;
   BOOL      useCache;
}

+createBegin: (id) aZone;
-createEnd;

-setDiscrete2dToDisplay: (Discrete2d *) grid;

-setCache: (BOOL) state;

-setDisplayState: (id <Symbol>) state;
-(void) setDisplayMode: (char *) mode;
-(const char *) getDisplayMode;

-setContourDisplayMod: (int) m BkgdColor: (Color) bkgdColor
                               LineColor: (Color) lineColor;
-display;
-displayGradient;
-displayContour;
-displayContourOverlay;

-(void) writePointX: (int) x Y: (int) y Z: (int) z Dest: (int) dest;

@end



